javax.jms

## Interface XATopicSession

- All Superinterfaces:
    AutoCloseable, Runnable, Session, XASession

      public interface XATopicSession
      extends XASession

  An `XATopicSession` provides a regular `TopicSession`. which can be used to create `TopicSubscriber` and `TopicPublisher` objects (optional).

  The `XATopicSession` interface is optional. JMS providers are not required to support this interface. This interface is for use by JMS providers to support transactional environments. Client programs are strongly encouraged to use the transactional support available in their environment, rather than using these XA interfaces directly.

  Since:
    JMS 1.0
  See Also:
    `XASession`, `TopicSession`

- - ### Field Summary

    - ### Fields inherited from interface javax.jms.Session

      `AUTO_ACKNOWLEDGE, CLIENT_ACKNOWLEDGE, DUPS_OK_ACKNOWLEDGE, SESSION_TRANSACTED`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `TopicSession` | `getTopicSession()` Gets the topic session associated with this `XATopicSession`.

    - ### Methods inherited from interface javax.jms.XASession

      `commit, getSession, getTransacted, getXAResource, rollback`

    - ### Methods inherited from interface javax.jms.Session

      `close, createBrowser, createBrowser, createBytesMessage, createConsumer, createConsumer, createConsumer, createDurableConsumer, createDurableConsumer, createDurableSubscriber, createDurableSubscriber, createMapMessage, createMessage, createObjectMessage, createObjectMessage, createProducer, createQueue, createSharedConsumer, createSharedConsumer, createSharedDurableConsumer, createSharedDurableConsumer, createStreamMessage, createTemporaryQueue, createTemporaryTopic, createTextMessage, createTextMessage, createTopic, getAcknowledgeMode, getMessageListener, recover, run, setMessageListener, unsubscribe`

- - ### Method Detail

    - #### getTopicSession

          TopicSession getTopicSession()
                                       throws JMSException

      Gets the topic session associated with this `XATopicSession`.
      Returns:
        the topic session object
      Throws:
        `JMSException` - if an internal error occurs.

Copyright (c) 2014, Oracle and/or its affiliates. All rights reserved.